%define major 4
%define libname %mklibname zip %{major}
%define develname %mklibname zip -d

Summary:	A C library for reading, creating, and modifying zip archives
Name:		libzip
Version:	1.1.2
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.nih.at/libzip/
Source0:	http://www.nih.at/libzip/%{name}-%{version}.tar.xz
Patch0:		libzip-0.11.1-fix_pkgconfig.patch
BuildRequires:	libtool
BuildRequires:	zlib-devel

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{libname}
Summary:	A C library for reading, creating, and modifying zip archives
Group:		System/Libraries

%description -n	%{libname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes:	%{mklibname zip 1}-devel

%description -n	%{develname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

This package contains the static %{name} library and its header files.

%prep

%setup -q
%patch0 -p1

# fix test return state
sed -i -e 's:19/2:19/0:' regress/open_nonarchive.test

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%check
make check

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# adapt for the mdv multiarch kludge
mv %{buildroot}%{_libdir}/libzip/include/zipconf.h %{buildroot}%{_includedir}/zipconf.h

%multiarch_includes %{buildroot}%{_includedir}/zipconf.h

%files
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptool
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptool.1*

%files -n %{libname}
%doc AUTHORS NEWS THANKS
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc API-CHANGES
%{_includedir}/*
%{multiarch_includedir}/zipconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/*


%changelog
* Sat Nov 26 2016 adrianomorselli <adrianomorselli> 1.1.2-1uplos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 1.1.2-1pclos2016
- update for 2016

